#line 1 "C:/Users/Public/Documents/Mikroelektronika/Visual TFT/MyProjects/TFR_Code/mikroC PRO for ARM/TFR_events_code.c"
#line 1 "c:/users/public/documents/mikroelektronika/visual tft/myprojects/tfr_code/mikroc pro for arm/tfr_objects.h"
typedef enum {_taLeft, _taCenter, _taRight} TTextAlign;

typedef struct Screen TScreen;

typedef struct Button {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char *Caption;
 TTextAlign TextAlign;
 const char *FontName;
 unsigned int Font_Color;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TButton;

typedef struct Button_Round {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char *Caption;
 TTextAlign TextAlign;
 const char *FontName;
 unsigned int Font_Color;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char Corner_Radius;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TButton_Round;

typedef struct Label {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char *Caption;
 const char *FontName;
 unsigned int Font_Color;
 char Visible;
 char Active;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TLabel;

typedef struct CircleButton {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Radius;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char *Caption;
 TTextAlign TextAlign;
 const char *FontName;
 unsigned int Font_Color;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TCircleButton;

typedef struct Box_Round {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char Corner_Radius;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TBox_Round;

typedef struct Line {
 TScreen* OwnerScreen;
 char Order;
 unsigned int First_Point_X;
 unsigned int First_Point_Y;
 unsigned int Second_Point_X;
 unsigned int Second_Point_Y;
 char Pen_Width;
 char Visible;
 unsigned int Color;
} TLine;

struct Screen {
 unsigned int Color;
 unsigned int Width;
 unsigned int Height;
 unsigned short ObjectsCount;
 unsigned int ButtonsCount;
 TButton * const code *Buttons;
 unsigned int Buttons_RoundCount;
 TButton_Round * const code *Buttons_Round;
 unsigned int LabelsCount;
 TLabel * const code *Labels;
 unsigned int CircleButtonsCount;
 TCircleButton * const code *CircleButtons;
 unsigned int Boxes_RoundCount;
 TBox_Round * const code *Boxes_Round;
 unsigned int LinesCount;
 TLine * const code *Lines;
};

extern TScreen Start;
extern TButton Start_Button1;
extern TButton Start_Button2;
extern TButton Start_Button3;
extern TButton_Round Start_ButtonRound1;
extern TButton_Round Start_ButtonRound2;
extern TButton_Round Start_ButtonRound3;
extern TLabel Start_Label1;
extern TLabel Start_Label2;
extern TLabel Start_Label3;
extern TLabel Start_Label4;
extern TLine Start_Line1;
extern TLine Start_Line2;
extern TButton Start_Button4;
extern TButton Start_Button5;
extern TButton Start_Button6;
extern TButton Start_Button7;
extern TButton Start_Button8;
extern TButton Start_Button9;
extern TButton Start_Button10;
extern TButton_Round Start_ButtonRound4;
extern TButton Start_Button11;
extern TButton Start_Button12;
extern TBox_Round Start_BoxRound1;
extern TLabel Start_Label5;
extern TButton * const code Screen1_Buttons[12];
extern TButton_Round * const code Screen1_Buttons_Round[4];
extern TLabel * const code Screen1_Labels[5];
extern TBox_Round * const code Screen1_Boxes_Round[1];
extern TLine * const code Screen1_Lines[2];


extern TScreen KeyBoard;
extern TButton KeyBoard_Button1;
extern TButton KeyBoard_Button2;
extern TButton KeyBoard_Button3;
extern TButton KeyBoard_Button4;
extern TButton KeyBoard_Button5;
extern TButton KeyBoard_Button6;
extern TButton KeyBoard_Button7;
extern TButton KeyBoard_Button8;
extern TButton KeyBoard_Button9;
extern TButton KeyBoard_Button10;
extern TButton KeyBoard_Button11;
extern TButton KeyBoard_Button12;
extern TButton KeyBoard_Button13;
extern TButton KeyBoard_Button14;
extern TLabel KeyBoard_Label1;
extern TLabel KeyBoard_Label2;
extern TButton * const code Screen2_Buttons[14];
extern TLabel * const code Screen2_Labels[2];


extern TScreen Road;
extern TButton Road_Button1;
extern TButton Road_Button2;
extern TButton Road_Button3;
extern TButton Road_Button4;
extern TButton Road_Button5;
extern TButton Road_Button6;
extern TButton Road_Button7;
extern TButton Road_Button8;
extern TButton Road_Button9;
extern TButton Road_Button10;
extern TButton Road_Button11;
extern TButton Road_Button12;
extern TButton Road_Button13;
extern TButton Road_Button14;
extern TButton Road_Button15;
extern TButton Road_Button16;
extern TButton Road_Button17;
extern TButton Road_Button18;
extern TButton Road_Button19;
extern TButton Road_Button20;
extern TButton Road_Button21;
extern TButton Road_Button22;
extern TButton Road_Button23;
extern TButton Road_Button24;
extern TButton Road_Button25;
extern TButton Road_Button26;
extern TButton Road_Button27;
extern TButton Road_Button28;
extern TButton Road_Button29;
extern TButton Road_Button30;
extern TButton Road_Button31;
extern TButton Road_Button32;
extern TButton Road_Button33;
extern TButton Road_Button34;
extern TButton Road_Button35;
extern TButton Road_Button36;
extern TButton Road_Button37;
extern TButton Road_Button38;
extern TButton Road_Button39;
extern TButton Road_Button40;
extern TButton Road_Button41;
extern TButton Road_Button42;
extern TButton Road_Button43;
extern TButton Road_Button44;
extern TButton Road_Button45;
extern TButton Road_Button46;
extern TButton Road_Button47;
extern TButton Road_Button48;
extern TButton_Round Road_ButtonRound1;
extern TLabel Road_Label1;
extern TLabel Road_Label2;
extern TLabel Road_Label3;
extern TLabel Road_Label4;
extern TLine Road_Line1;
extern TLine Road_Line2;
extern TLine Road_Line3;
extern TLine Road_Line4;
extern TLine Road_Line5;
extern TLine Road_Line6;
extern TLabel Road_Label5;
extern TLabel Road_Label6;
extern TLabel Road_Label7;
extern TLabel Road_Label8;
extern TLine Road_Line7;
extern TLine Road_Line8;
extern TLine Road_Line9;
extern TLine Road_Line10;
extern TLine Road_Line11;
extern TLine Road_Line12;
extern TCircleButton Road_CircleButton1;
extern TLabel Road_Label9;
extern TCircleButton Road_CircleButton2;
extern TLabel Road_Label10;
extern TCircleButton Road_CircleButton3;
extern TLabel Road_Label11;
extern TCircleButton Road_CircleButton4;
extern TCircleButton Road_CircleButton5;
extern TButton_Round Road_ButtonRound2;
extern TButton Road_Button49;
extern TButton Road_Button50;
extern TButton Road_Button51;
extern TButton Road_Button52;
extern TButton_Round Road_ButtonRound3;
extern TButton * const code Screen3_Buttons[52];
extern TButton_Round * const code Screen3_Buttons_Round[3];
extern TLabel * const code Screen3_Labels[11];
extern TCircleButton * const code Screen3_CircleButtons[5];
extern TLine * const code Screen3_Lines[12];





void KeyBoard_Button10Click();
void KeyBoard_Button11Click();
void KeyBoard_Button12Click();
void KeyBoard_Button13Click();
void KeyBoard_Button14Click();
void KeyBoard_Button1Click();
void KeyBoard_Button2Click();
void KeyBoard_Button3Click();
void KeyBoard_Button4Click();
void KeyBoard_Button5Click();
void KeyBoard_Button6Click();
void KeyBoard_Button7Click();
void KeyBoard_Button8Click();
void KeyBoard_Button9Click();
void Road_Button10Click();
void Road_Button11Click();
void Road_Button12Click();
void Road_Button13Click();
void Road_Button14Click();
void Road_Button15Click();
void Road_Button16Click();
void Road_Button17Click();
void Road_Button18Click();
void Road_Button19Click();
void Road_Button1Click();
void Road_Button20Click();
void Road_Button21Click();
void Road_Button22Click();
void Road_Button23Click();
void Road_Button24Click();
void Road_Button25Click();
void Road_Button26Click();
void Road_Button27Click();
void Road_Button28Click();
void Road_Button29Click();
void Road_Button2Click();
void Road_Button30Click();
void Road_Button31Click();
void Road_Button32Click();
void Road_Button33Click();
void Road_Button34Click();
void Road_Button35Click();
void Road_Button36Click();
void Road_Button37Click();
void Road_Button38Click();
void Road_Button39Click();
void Road_Button3Click();
void Road_Button40Click();
void Road_Button41Click();
void Road_Button42Click();
void Road_Button43Click();
void Road_Button44Click();
void Road_Button45Click();
void Road_Button46Click();
void Road_Button47Click();
void Road_Button48Click();
void Road_Button49Click();
void Road_Button4Click();
void Road_Button50Click();
void Road_Button51Click();
void Road_Button52Click();
void Road_Button5Click();
void Road_Button6Click();
void Road_Button7Click();
void Road_Button8Click();
void Road_Button9Click();
void Road_ButtonRound3Click();
void Road_CircleButton1Click();
void Road_CircleButton2Click();
void Road_CircleButton3Click();
void Road_CircleButton4Click();
void Road_CircleButton5Click();
void Start_Button10Click();
void Start_Button11Click();
void Start_Button12Click();
void Start_Button1Click();
void Start_Button2Click();
void Start_Button3Click();
void Start_Button4Click();
void Start_Button5Click();
void Start_Button6Click();
void Start_Button7Click();
void Start_Button8Click();
void Start_Button9Click();
void Start_ButtonRound4Click();




extern char Start_Button1_Caption[];
extern char Start_Button2_Caption[];
extern char Start_Button3_Caption[];
extern char Start_ButtonRound1_Caption[];
extern char Start_ButtonRound2_Caption[];
extern char Start_ButtonRound3_Caption[];
extern char Start_Label1_Caption[];
extern char Start_Label2_Caption[];
extern char Start_Label3_Caption[];
extern char Start_Label4_Caption[];
extern char Start_Line1_Caption[];
extern char Start_Line2_Caption[];
extern char Start_Button4_Caption[];
extern char Start_Button5_Caption[];
extern char Start_Button6_Caption[];
extern char Start_Button7_Caption[];
extern char Start_Button8_Caption[];
extern char Start_Button9_Caption[];
extern char Start_Button10_Caption[];
extern char Start_ButtonRound4_Caption[];
extern char Start_Button11_Caption[];
extern char Start_Button12_Caption[];
extern char Start_BoxRound1_Caption[];
extern char Start_Label5_Caption[];
extern char KeyBoard_Button1_Caption[];
extern char KeyBoard_Button2_Caption[];
extern char KeyBoard_Button3_Caption[];
extern char KeyBoard_Button4_Caption[];
extern char KeyBoard_Button5_Caption[];
extern char KeyBoard_Button6_Caption[];
extern char KeyBoard_Button7_Caption[];
extern char KeyBoard_Button8_Caption[];
extern char KeyBoard_Button9_Caption[];
extern char KeyBoard_Button10_Caption[];
extern char KeyBoard_Button11_Caption[];
extern char KeyBoard_Button12_Caption[];
extern char KeyBoard_Button13_Caption[];
extern char KeyBoard_Button14_Caption[];
extern char KeyBoard_Label1_Caption[];
extern char KeyBoard_Label2_Caption[];
extern char Road_Button1_Caption[];
extern char Road_Button2_Caption[];
extern char Road_Button3_Caption[];
extern char Road_Button4_Caption[];
extern char Road_Button5_Caption[];
extern char Road_Button6_Caption[];
extern char Road_Button7_Caption[];
extern char Road_Button8_Caption[];
extern char Road_Button9_Caption[];
extern char Road_Button10_Caption[];
extern char Road_Button11_Caption[];
extern char Road_Button12_Caption[];
extern char Road_Button13_Caption[];
extern char Road_Button14_Caption[];
extern char Road_Button15_Caption[];
extern char Road_Button16_Caption[];
extern char Road_Button17_Caption[];
extern char Road_Button18_Caption[];
extern char Road_Button19_Caption[];
extern char Road_Button20_Caption[];
extern char Road_Button21_Caption[];
extern char Road_Button22_Caption[];
extern char Road_Button23_Caption[];
extern char Road_Button24_Caption[];
extern char Road_Button25_Caption[];
extern char Road_Button26_Caption[];
extern char Road_Button27_Caption[];
extern char Road_Button28_Caption[];
extern char Road_Button29_Caption[];
extern char Road_Button30_Caption[];
extern char Road_Button31_Caption[];
extern char Road_Button32_Caption[];
extern char Road_Button33_Caption[];
extern char Road_Button34_Caption[];
extern char Road_Button35_Caption[];
extern char Road_Button36_Caption[];
extern char Road_Button37_Caption[];
extern char Road_Button38_Caption[];
extern char Road_Button39_Caption[];
extern char Road_Button40_Caption[];
extern char Road_Button41_Caption[];
extern char Road_Button42_Caption[];
extern char Road_Button43_Caption[];
extern char Road_Button44_Caption[];
extern char Road_Button45_Caption[];
extern char Road_Button46_Caption[];
extern char Road_Button47_Caption[];
extern char Road_Button48_Caption[];
extern char Road_ButtonRound1_Caption[];
extern char Road_Label1_Caption[];
extern char Road_Label2_Caption[];
extern char Road_Label3_Caption[];
extern char Road_Label4_Caption[];
extern char Road_Line1_Caption[];
extern char Road_Line2_Caption[];
extern char Road_Line3_Caption[];
extern char Road_Line4_Caption[];
extern char Road_Line5_Caption[];
extern char Road_Line6_Caption[];
extern char Road_Label5_Caption[];
extern char Road_Label6_Caption[];
extern char Road_Label7_Caption[];
extern char Road_Label8_Caption[];
extern char Road_Line7_Caption[];
extern char Road_Line8_Caption[];
extern char Road_Line9_Caption[];
extern char Road_Line10_Caption[];
extern char Road_Line11_Caption[];
extern char Road_Line12_Caption[];
extern char Road_CircleButton1_Caption[];
extern char Road_Label9_Caption[];
extern char Road_CircleButton2_Caption[];
extern char Road_Label10_Caption[];
extern char Road_CircleButton3_Caption[];
extern char Road_Label11_Caption[];
extern char Road_CircleButton4_Caption[];
extern char Road_CircleButton5_Caption[];
extern char Road_ButtonRound2_Caption[];
extern char Road_Button49_Caption[];
extern char Road_Button50_Caption[];
extern char Road_Button51_Caption[];
extern char Road_Button52_Caption[];
extern char Road_ButtonRound3_Caption[];


void DrawScreen(TScreen *aScreen);
void DrawButton(TButton *aButton);
void DrawRoundButton(TButton_Round *Around_button);
void DrawLabel(TLabel *ALabel);
void DrawCircleButton(TCircleButton *ACircle_button);
void DrawRoundBox(TBox_Round *Around_box);
void DrawLine(TLine *Aline);
void Check_TP();
void Start_TP();
#line 1 "c:/users/public/documents/mikroelektronika/visual tft/myprojects/tfr_code/mikroc pro for arm/tfr_resources.h"
const code char Tahoma12x16_Regular[];
const code char Tahoma14x16_Bold[];
const code char Tahoma19x19_Bold[];
const code char Tahoma19x23_Regular[];
const code char Tahoma29x29_Bold[];
const code char Tahoma11x13_Regular[];
const code char Tahoma13x13_Bold[];
#line 1 "c:/users/public/documents/mikroelektronika/visual tft/myprojects/tfr_code/mikroc pro for arm/__time.h"
#line 27 "c:/users/public/documents/mikroelektronika/visual tft/myprojects/tfr_code/mikroc pro for arm/__time.h"
typedef struct
 {
 unsigned char ss ;
 unsigned char mn ;
 unsigned char hh ;
 unsigned char md ;
 unsigned char wd ;
 unsigned char mo ;
 unsigned int yy ;
 } TimeStruct ;
#line 41 "c:/users/public/documents/mikroelektronika/visual tft/myprojects/tfr_code/mikroc pro for arm/__time.h"
extern long Time_jd1970 ;
#line 46 "c:/users/public/documents/mikroelektronika/visual tft/myprojects/tfr_code/mikroc pro for arm/__time.h"
long Time_dateToEpoch(TimeStruct *ts) ;
long Time_dateDiff(TimeStruct *t1, TimeStruct *t2);
void Time_epochToDate(long e, TimeStruct *ts) ;
#line 1 "c:/users/public/documents/mikroelektronika/visual tft/myprojects/tfr_code/mikroc pro for arm/usb_driver.h"
#line 10 "c:/users/public/documents/mikroelektronika/visual tft/myprojects/tfr_code/mikroc pro for arm/usb_driver.h"
typedef char *pnt;


typedef struct tx_q0_struct
{
 unsigned int in;
 unsigned int out;
 pnt q[ 32 ];
}tx_q0_struct;



void USB_Init();
void USB_TxQueueInit(void);
void USB_PutQueue(char *msg);
void USB_CheckOut(void);
void USB_CheckIn();
#line 1 "c:/users/public/documents/mikroelektronika/visual tft/myprojects/tfr_code/mikroc pro for arm/buffers.h"
#line 13 "c:/users/public/documents/mikroelektronika/visual tft/myprojects/tfr_code/mikroc pro for arm/buffers.h"
char* GetBuffer(void);
#line 1 "c:/users/public/documents/mikroelektronika/visual tft/myprojects/tfr_code/mikroc pro for arm/mmc_driver.h"
#line 14 "c:/users/public/documents/mikroelektronika/visual tft/myprojects/tfr_code/mikroc pro for arm/mmc_driver.h"
extern long Spare1, NPC, Spare2, NHR, NHT, NHL, NTR, NTT, NTL, NCR, NCT, NCL;
extern long SCL, SCT, SCR, STL, STT, STR, SHL, SHT, SHR, Spare6, SPC, Spare5;
extern long Spare8, WHL, WTL, WCL, WPC, WHT, WTT, WCT, Spare7, WHR, WTR, WCR;
extern long ECR, ETR, EHR, Spare3, ECT, ETT, EHT, EPC, ECL, ETL, EHL, Spare4;




void StartRecording();
void RecordOnInterval();
void StopRecording();
void ClearCounters();
#line 15 "C:/Users/Public/Documents/Mikroelektronika/Visual TFT/MyProjects/TFR_Code/mikroC PRO for ARM/TFR_events_code.c"
char Entry[32] = "";
char temp_label[32];
char DateString[10];
char TimeString[10];
char SiteString[10];
char WorkString[10];
int Count = 0;
int DisplayFlag =  1 ;
int ButtonPressed;
int CharNo = 0;
char Ch[4];
int Interval = 0;

extern char filename[];




char Year[6];
char Month[4];
char Day[4];
char Hours[4];
char Minutes[4];
char Seconds[4];



extern TimeStruct ts1;
extern long Epoch;


char CounterString[64];
long Spare1, NPC, Spare2, NHR, NHT, NHL, NTR, NTT, NTL, NCR, NCT, NCL;
long SCL, SCT, SCR, STL, STT, STR, SHL, SHT, SHR, Spare6, SPC, Spare5;
long Spare8, WHL, WTL, WCL, WPC, WHT, WTT, WCT, Spare7, WHR, WTR, WCR;
long ECR, ETR, EHR, Spare3, ECT, ETT, EHT, EPC, ECL, ETL, EHL, Spare4;
long *CounterSelected;
char ValueInCounter[16];


void PaintRoundButton1() {
 int x1, y1, x2, y2;

 x1 = Road_ButtonRound1.Left;
 y1 = Road_ButtonRound1.Top;
 x2 = x1 + Road_ButtonRound1.Width;
 y2 = y1 + Road_ButtonRound1.Height;
 TFT_Set_Pen(CL_GRAY, 1);
 TFT_Set_Brush(1, CL_GRAY, 0, TOP_TO_BOTTOM, CL_BLACK, CL_BLACK);
 TFT_Rectangle(x1,y1,x2,y2);
 Road_ButtonRound1.Caption = CounterString;
 DrawRoundButton(&Road_ButtonRound1);
}

void PaintRoundButton2() {
 int x1, y1, x2, y2;

 x1 = Road_ButtonRound2.Left;
 y1 = Road_ButtonRound2.Top;
 x2 = x1 + Road_ButtonRound2.Width;
 y2 = y1 + Road_ButtonRound2.Height;
 TFT_Set_Pen(CL_GRAY, 1);
 TFT_Set_Brush(1, CL_GRAY, 0, TOP_TO_BOTTOM, CL_BLACK, CL_BLACK);
 TFT_Rectangle(x1,y1,x2,y2);
 sprintf(ValueInCounter,"%d",*CounterSelected);
 Road_ButtonRound2.Caption = ValueInCounter;
 DrawRoundButton(&Road_ButtonRound2);
}
#line 91 "C:/Users/Public/Documents/Mikroelektronika/Visual TFT/MyProjects/TFR_Code/mikroC PRO for ARM/TFR_events_code.c"
void PaintButton(TButton *ButPtr, int X1, int Y1, int X2, int Y2) {
 TFT_Set_Pen(CL_GRAY, 1);
 TFT_Set_Brush(1, CL_GRAY, 0, TOP_TO_BOTTOM, CL_BLACK, CL_BLACK);
 TFT_Rectangle(X1, Y1, X2, Y2);
 DrawButton(ButPtr);
}


void ClearLbl( TLabel *_label) {
 TFT_Set_Font(_label->FontName, CL_SILVER, FO_HORIZONTAL);
 TFT_Write_Text(_label->Caption, _label->Left, _label->Top);
}

void DrawLbl( TLabel *_label) {
 TFT_Set_Font(_label->FontName, _label->Font_Color, FO_HORIZONTAL);
 TFT_Write_Text(_label->Caption, _label->Left, _label->Top);
}

void ClearLabel( TLabel *_label) {
 ClearLbl(_label);
 strcpy(_label->Caption, " ");
}

void UpdateDate() {
 sprintf(Year,"%d",ts1.yy);
 sprintf(Month,"%02d",ts1.mo);
 sprintf(Day,"%02d",ts1.md);

 strcpy(DateString,Year);
 strcat(DateString,"/");
 strcat(DateString,Month);
 strcat(DateString,"/");
 strcat(DateString,Day);

 ClearLabel(&Start_Label1);
 strcpy(Start_Label1.Caption,DateString);
 DrawLbl(&Start_Label1);
}

void UpdateTime() {







 sprintf(Hours,"%02d",ts1.hh);
 sprintf(Minutes,"%02d",ts1.mn);
 sprintf(Seconds,"%02d",ts1.ss);

 strcpy(TimeString,Hours);
 strcat(TimeString,":");
 strcat(TimeString,Minutes);
 strcat(TimeString,":");
 strcat(TimeString,Seconds);

 ClearLabel(&Start_Label2);
 strcpy(Start_Label2.Caption,TimeString);
 DrawLbl(&Start_Label2);
}

void UpdateSite() {
 strcpy(SiteString,TimeString);
 ClearLabel(&Start_Label3);
 strcpy(Start_Label3.Caption,SiteString);
 DrawLbl(&Start_Label3);
}

void UpdateStatus(char * msg) {
 ClearLabel(&Start_Label5);
 strcpy(Start_Label5.Caption,msg);
 DrawLbl(&Start_Label5);
}


void StateMachine() {
 switch (ButtonPressed) {
 case (1):

 switch (CharNo) {
 case (0):
 strcat(Entry,Ch);
 CharNo = 1;
 break;
 case (1):
 strcat(Entry,Ch);
 CharNo = 2;
 break;
 case (2):
 strcat(Entry,Ch);
 CharNo = 3;
 break;
 case (3):
 strcat(Entry,Ch);
 strcat(Entry,"/");
 CharNo = 4;

 ClearLabel(&KeyBoard_Label2);
 strcpy(KeyBoard_Label2.Caption,"Enter 2 digit month");
 DrawLbl(&KeyBoard_Label2);
 break;
 case (4):
 strcat(Entry,Ch);
 CharNo = 5;
 break;
 case (5):
 strcat(Entry,Ch);
 strcat(Entry,"/");
 CharNo = 6;

 ClearLabel(&KeyBoard_Label2);
 strcpy(KeyBoard_Label2.Caption,"Enter 2 digit day");
 DrawLbl(&KeyBoard_Label2);
 break;
 case (6):
 strcat(Entry,Ch);
 CharNo = 7;
 break;
 case (7):
 strcat(Entry,Ch);
 CharNo = 8;
 break;
 case (8):

 CharNo = 8;
 break;
 }

 ClearLabel(&KeyBoard_Label1);
 strcpy(KeyBoard_Label1.Caption,Entry);
 DrawLbl(&KeyBoard_Label1);
 break;

 case (2):

 switch (CharNo) {
 case (0):
 strcat(Entry,Ch);
 CharNo = 1;
 break;
 case (1):
 strcat(Entry,Ch);
 strcat(Entry,":");
 CharNo = 2;

 ClearLabel(&KeyBoard_Label2);
 strcpy(KeyBoard_Label2.Caption,"Enter 2 digit minute");
 DrawLbl(&KeyBoard_Label2);
 break;
 case (2):
 strcat(Entry,Ch);
 CharNo = 3;
 break;
 case (3):
 strcat(Entry,Ch);
 strcat(Entry,":");
 CharNo = 4;

 ClearLabel(&KeyBoard_Label2);
 strcpy(KeyBoard_Label2.Caption,"Enter 2 digit second");
 DrawLbl(&KeyBoard_Label2);
 break;
 case (4):
 strcat(Entry,Ch);
 CharNo = 5;
 break;
 case (5):
 strcat(Entry,Ch);
 CharNo = 6;
 break;
 case (6):

 CharNo = 6;
 break;
 }

 ClearLabel(&KeyBoard_Label1);
 strcpy(KeyBoard_Label1.Caption,Entry);
 DrawLbl(&KeyBoard_Label1);
 break;

 case (3):
 switch (CharNo) {
 case (0):
 strcat(Entry,Ch);
 CharNo = 1;
 break;
 case (1):
 strcat(Entry,Ch);
 CharNo = 2;
 break;
 case (2):
 strcat(Entry,Ch);
 CharNo = 3;
 break;
 case (3):
 strcat(Entry,Ch);
 CharNo = 4;
 break;
 case (4):
 strcat(Entry,Ch);
 CharNo = 5;
 break;
 case (5):
 strcat(Entry,Ch);
 CharNo = 6;
 break;
 case (6):
 strcat(Entry,Ch);
 CharNo = 7;
 break;
 case (7):
 strcat(Entry,Ch);
 CharNo = 8;
 break;
 case (8):
 strcat(Entry,Ch);
 CharNo = 9;
 break;
 case (9):
 strcat(Entry,Ch);
 CharNo = 10;
 break;
 case (10):

 CharNo = 10;
 break;
 }

 ClearLabel(&KeyBoard_Label1);
 strcpy(KeyBoard_Label1.Caption,Entry);
 DrawLbl(&KeyBoard_Label1);
 break;
 }
}





void Start_Button1Click() {
 DrawScreen(&KeyBoard);

 strcpy(Entry," ");
 ClearLabel(&KeyBoard_Label1);
 strcpy(KeyBoard_Label1.Caption,Entry);
 DrawLbl(&KeyBoard_Label1);

 ClearLabel(&KeyBoard_Label2);
 strcpy(KeyBoard_Label2.Caption,"Enter 4 digit year");
 DrawLbl(&KeyBoard_Label2);

 DisplayFlag =  0 ;
 ButtonPressed = 1;
}

void Start_Button2Click() {
 DrawScreen(&KeyBoard);

 strcpy(Entry," ");
 ClearLabel(&KeyBoard_Label1);
 strcpy(KeyBoard_Label1.Caption,Entry);
 DrawLbl(&KeyBoard_Label1);

 ClearLabel(&KeyBoard_Label2);
 strcpy(KeyBoard_Label2.Caption,"Enter 2 digit hour");
 DrawLbl(&KeyBoard_Label2);

 DisplayFlag =  0 ;
 ButtonPressed = 2;
}

void Start_Button3Click() {
 DrawScreen(&KeyBoard);

 strcpy(Entry," ");

 ClearLabel(&KeyBoard_Label1);
 strcpy(KeyBoard_Label1.Caption,Entry);
 DrawLbl(&KeyBoard_Label1);

 ClearLabel(&KeyBoard_Label2);
 strcpy(KeyBoard_Label2.Caption,"Enter 10 digit site");
 DrawLbl(&KeyBoard_Label2);

 DisplayFlag =  0 ;
 ButtonPressed = 3;
}

void Start_Button4Click() {
 Interval = 0;

 Start_Button4.Gradient_Start_Color = CL_AQUA;
 DrawButton(&Start_Button4);
 Start_Button5.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button5);
 Start_Button6.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button6);
 Start_Button7.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button7);
 Start_Button8.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button8);
 Start_Button9.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button9);
 Start_Button10.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button10);
}

void Start_Button5Click() {
 Interval = 1;

 Start_Button4.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button4);
 Start_Button5.Gradient_Start_Color = CL_AQUA;
 DrawButton(&Start_Button5);
 Start_Button6.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button6);
 Start_Button7.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button7);
 Start_Button8.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button8);
 Start_Button9.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button9);
 Start_Button10.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button10);
}

void Start_Button6Click() {
 Interval = 2;

 Start_Button4.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button4);
 Start_Button5.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button5);
 Start_Button6.Gradient_Start_Color = CL_AQUA;
 DrawButton(&Start_Button6);
 Start_Button7.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button7);
 Start_Button8.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button8);
 Start_Button9.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button9);
 Start_Button10.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button10);
}

void Start_Button7Click() {
 Interval = 3;

 Start_Button4.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button4);
 Start_Button5.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button5);
 Start_Button6.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button6);
 Start_Button7.Gradient_Start_Color = CL_AQUA;
 DrawButton(&Start_Button7);
 Start_Button8.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button8);
 Start_Button9.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button9);
 Start_Button10.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button10);
}

void Start_Button8Click() {
 Interval = 4;

 Start_Button4.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button4);
 Start_Button5.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button5);
 Start_Button6.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button6);
 Start_Button7.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button7);
 Start_Button8.Gradient_Start_Color = CL_AQUA;
 DrawButton(&Start_Button8);
 Start_Button9.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button9);
 Start_Button10.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button10);
}

void Start_Button9Click() {
 Interval = 5;

 Start_Button4.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button4);
 Start_Button5.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button5);
 Start_Button6.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button6);
 Start_Button7.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button7);
 Start_Button8.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button8);
 Start_Button9.Gradient_Start_Color = CL_AQUA;
 DrawButton(&Start_Button9);
 Start_Button10.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button10);
}

void Start_Button10Click() {
 Interval = 6;

 Start_Button4.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button4);
 Start_Button5.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button5);
 Start_Button6.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button6);
 Start_Button7.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button7);
 Start_Button8.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button8);
 Start_Button9.Gradient_Start_Color = CL_WHITE;
 DrawButton(&Start_Button9);
 Start_Button10.Gradient_Start_Color = CL_AQUA;
 DrawButton(&Start_Button10);
}

void Start_ButtonRound4Click() {
 DrawScreen(&Road);
 DisplayFlag =  0 ;
}

void Start_Button11Click() {
#line 529 "C:/Users/Public/Documents/Mikroelektronika/Visual TFT/MyProjects/TFR_Code/mikroC PRO for ARM/TFR_events_code.c"
 if (Mmc_Fat_Init() == 0) {
 ClearLabel(&Start_Label5);
 strcpy(Start_Label5.Caption,"MMC is recording");
 DrawLbl(&Start_Label5);

 StartRecording();

 Start_Button11.Gradient =  0 ;
 DrawButton(&Start_Button11);
 Start_Button12.Gradient =  1 ;
 DrawButton(&Start_Button12);
 }
 else
 {
 ClearLabel(&Start_Label5);
 strcpy(Start_Label5.Caption,"FAT16 not found");
 DrawLbl(&Start_Label5);
 }
}

void Start_Button12Click() {
 ClearLabel(&Start_Label5);
 DrawLbl(&Start_Label5);

 StopRecording();

 Start_Button11.Gradient =  1 ;
 DrawButton(&Start_Button11);
 Start_Button12.Gradient =  0 ;
 DrawButton(&Start_Button12);
}





void KeyBoard_Button1Click() {
 strcpy(Ch,"1");
 StateMachine();
}

void KeyBoard_Button2Click() {
 strcpy(Ch,"2");
 StateMachine();
}

void KeyBoard_Button3Click() {
 strcpy(Ch,"3");
 StateMachine();
}

void KeyBoard_Button4Click() {
 strcpy(Ch,"4");
 StateMachine();
}

void KeyBoard_Button5Click() {
 strcpy(Ch,"5");
 StateMachine();
}

void KeyBoard_Button6Click() {
 strcpy(Ch,"6");
 StateMachine();
}

void KeyBoard_Button7Click() {
 strcpy(Ch,"7");
 StateMachine();
}

void KeyBoard_Button8Click() {
 strcpy(Ch,"8");
 StateMachine();
}

void KeyBoard_Button9Click() {
 strcpy(Ch,"9");
 StateMachine();
}

void KeyBoard_Button10Click() {
 strcpy(Ch,"0");
 StateMachine();
}

void KeyBoard_Button11Click() {
 char delims[] = "/:";
 char *result = 0;
#line 624 "C:/Users/Public/Documents/Mikroelektronika/Visual TFT/MyProjects/TFR_Code/mikroC PRO for ARM/TFR_events_code.c"
 switch (ButtonPressed) {
 case (1):
 if (CharNo == 8) {
 result = strtok(KeyBoard_Label1.Caption,delims);
 strcpy(WorkString,result);
 ts1.yy = atoi(WorkString);

 result = strtok(0,delims);
 strcpy(WorkString,result);
 ts1.mo = atoi(WorkString);

 result = strtok(0,delims);
 strcpy(WorkString,result);
 ts1.md = atoi(WorkString);

 Epoch = Time_dateToEpoch(&ts1);
 CharNo = 0;

 DrawScreen(&Start);
 DisplayFlag =  1 ;
 }else {
 ClearLabel(&KeyBoard_Label2);
 strcpy(KeyBoard_Label2.Caption,"Incomplete entry");
 DrawLbl(&KeyBoard_Label2);
 }
 break;

 case (2):
 if (CharNo == 6) {
 result = strtok(KeyBoard_Label1.Caption,delims);
 strcpy(WorkString,result);
 ts1.hh = atoi(WorkString);

 result = strtok(0,delims);
 strcpy(WorkString,result);
 ts1.mn = atoi(WorkString);

 result = strtok(0,delims);
 strcpy(WorkString,result);
 ts1.ss = atoi(WorkString);

 Epoch = Time_dateToEpoch(&ts1);
 CharNo = 0;

 DrawScreen(&Start);
 DisplayFlag =  1 ;
 }else {
 ClearLabel(&KeyBoard_Label2);
 strcpy(KeyBoard_Label2.Caption,"Incomplete entry");
 DrawLbl(&KeyBoard_Label2);
 }
 break;

 case (3):
 if (CharNo == 10) {



 DrawScreen(&Start);
 DisplayFlag =  1 ;
 CharNo = 0;

 ClearLabel(&Start_Label3);
 strcpy(Start_Label3.Caption,KeyBoard_Label1.Caption);
 DrawLbl(&Start_Label3);
 }else {
 ClearLabel(&KeyBoard_Label2);
 strcpy(KeyBoard_Label2.Caption,"Incomplete entry");
 DrawLbl(&KeyBoard_Label2);
 }
 break;
 }
}

void KeyBoard_Button12Click() {
 CharNo = 0;
 DrawScreen(&Start);
 DisplayFlag =  1 ;
}

void KeyBoard_Button13Click() {
 ClearLabel(&KeyBoard_Label1);
 strcpy(Entry," ");
 strcpy(KeyBoard_Label1.Caption,Entry);
 DrawLbl(&KeyBoard_Label1);
 CharNo = 0;

 switch (ButtonPressed) {
 case (1):
 ClearLabel(&KeyBoard_Label2);
 strcpy(KeyBoard_Label2.Caption,"Enter 4 digit year");
 DrawLbl(&KeyBoard_Label2);
 break;
 case (2):
 ClearLabel(&KeyBoard_Label2);
 strcpy(KeyBoard_Label2.Caption,"Enter 2 digit hour");
 DrawLbl(&KeyBoard_Label2);
 break;
 case (3):
 ClearLabel(&KeyBoard_Label2);
 strcpy(KeyBoard_Label2.Caption,"Enter 10 digit site");
 DrawLbl(&KeyBoard_Label2);
 break;
 }
}

void KeyBoard_Button14Click() {
 strcpy(temp_label, KeyBoard_Label1.Caption);
 ClearLabel(&KeyBoard_Label1);

 switch (ButtonPressed) {
 case (1):

 switch (CharNo) {
 case (0):

 CharNo = 0;
 break;
 case (1):
 temp_label[1] = 0;
 CharNo = 0;
 break;
 case (2):
 temp_label[2] = 0;
 CharNo = 1;
 break;
 case (3):
 temp_label[3] = 0;
 CharNo = 2;
 break;
 case (4):
 temp_label[4] = 0;
 CharNo = 3;

 ClearLabel(&KeyBoard_Label2);
 strcpy(KeyBoard_Label2.Caption,"Enter 4 digit year");
 DrawLbl(&KeyBoard_Label2);
 break;
 case (5):
 temp_label[6] = 0;
 CharNo = 4;
 break;
 case (6):
 temp_label[7] = 0;
 CharNo = 5;

 ClearLabel(&KeyBoard_Label2);
 strcpy(KeyBoard_Label2.Caption,"Enter 2 digit month");
 DrawLbl(&KeyBoard_Label2);
 break;
 case (7):
 temp_label[9] = 0;
 CharNo = 6;
 break;
 case (8):
 temp_label[10] = 0;
 CharNo = 7;
 break;
 }

 strcpy(Entry,temp_label);
 strcpy(KeyBoard_Label1.Caption, temp_label);
 DrawLbl(&KeyBoard_Label1);
 break;

 case (2):

 switch (CharNo) {
 case (0):

 CharNo = 0;
 break;
 case (1):
 temp_label[1] = 0;
 CharNo = 0;
 break;
 case (2):
 temp_label[2] = 0;
 CharNo = 1;

 ClearLabel(&KeyBoard_Label2);
 strcpy(KeyBoard_Label2.Caption,"Enter 2 digit hour");
 DrawLbl(&KeyBoard_Label2);
 break;
 case (3):
 temp_label[4] = 0;
 CharNo = 2;
 break;
 case (4):
 temp_label[5] = 0;
 CharNo = 3;

 ClearLabel(&KeyBoard_Label2);
 strcpy(KeyBoard_Label2.Caption,"Enter 2 digit minute");
 DrawLbl(&KeyBoard_Label2);
 break;
 case (5):
 temp_label[7] = 0;
 CharNo = 4;
 break;
 case (6):
 temp_label[8] = 0;
 CharNo = 5;
 break;
 }

 strcpy(Entry,temp_label);
 strcpy(KeyBoard_Label1.Caption, temp_label);
 DrawLbl(&KeyBoard_Label1);
 break;

 case (3):

 switch (CharNo) {
 case (0):

 CharNo = 0;
 break;
 case (1):
 temp_label[1] = 0;
 CharNo = 0;
 break;
 case (2):
 temp_label[2] = 0;
 CharNo = 1;
 break;
 case (3):
 temp_label[3] = 0;
 CharNo = 2;
 break;
 case (4):
 temp_label[4] = 0;
 CharNo = 3;
 break;
 case (5):
 temp_label[5] = 0;
 CharNo = 4;
 break;
 case (6):
 temp_label[6] = 0;
 CharNo = 5;
 break;
 case (7):
 temp_label[7] = 0;
 CharNo = 6;
 break;
 case (8):
 temp_label[8] = 0;
 CharNo = 7;
 break;
 case (9):
 temp_label[9] = 0;
 CharNo = 8;
 break;
 case (10):
 temp_label[10] = 0;
 CharNo = 9;
 break;
 }

 strcpy(Entry,temp_label);
 strcpy(KeyBoard_Label1.Caption, temp_label);
 DrawLbl(&KeyBoard_Label1);
 break;
 }
}





void Road_Button1Click() {
 int x1, y1, x2, y2;


 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button1.Gradient ==  1 ))
 Spare1++;

 CounterSelected = &Spare1;

 strcpy(CounterString,"Spare 1");
 PaintRoundButton1();
 PaintRoundButton2();



 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button1.Left;
 y1 = Road_Button1.Top;
 x2 = x1 + Road_Button1.Width;
 y2 = y1 + Road_Button1.Height;

 if (Road_Button1.Gradient ==  1 ) {
 Road_Button1.Gradient =  0 ;
 PaintButton(&Road_Button1,x1,y1,x2,y2);
 }
 else
 {
 Road_Button1.Gradient =  1 ;
 PaintButton(&Road_Button1,x1,y1,x2,y2);
 }
 }
}

void Road_Button2Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color) && (Road_Button2.Gradient ==  1 ))
 NPC++;

 CounterSelected = &NPC;

 strcpy(CounterString,"North Pedestrian Cross");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button2.Left;
 y1 = Road_Button2.Top;
 x2 = x1 + Road_Button2.Width;
 y2 = y1 + Road_Button2.Height;

 if (Road_Button2.Gradient ==  1 ) {
 Road_Button2.Gradient =  0 ;
 PaintButton(&Road_Button2,x1,y1,x2,y2);
 }
 else
 {
 Road_Button2.Gradient =  1 ;
 PaintButton(&Road_Button2,x1,y1,x2,y2);
 }
 }
}

void Road_Button3Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color) && (Road_Button3.Gradient ==  1 ))
 Spare2++;

 CounterSelected = &Spare2;

 strcpy(CounterString,"Spare 2");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button3.Left;
 y1 = Road_Button3.Top;
 x2 = x1 + Road_Button3.Width;
 y2 = y1 + Road_Button3.Height;

 if (Road_Button3.Gradient ==  1 ) {
 Road_Button3.Gradient =  0 ;
 PaintButton(&Road_Button3,x1,y1,x2,y2);
 }
 else
 {
 Road_Button3.Gradient =  1 ;
 PaintButton(&Road_Button3,x1,y1,x2,y2);
 }
 }
}

void Road_Button4Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button4.Gradient ==  1 ))
 NHR++;

 CounterSelected = &NHR;

 strcpy(CounterString,"North Heavy Right");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button4.Left;
 y1 = Road_Button4.Top;
 x2 = x1 + Road_Button4.Width;
 y2 = y1 + Road_Button4.Height;

 if (Road_Button4.Gradient ==  1 ) {
 Road_Button4.Gradient =  0 ;
 PaintButton(&Road_Button4,x1,y1,x2,y2);
 }
 else
 {
 Road_Button4.Gradient =  1 ;
 PaintButton(&Road_Button4,x1,y1,x2,y2);
 }
 }
}

void Road_Button5Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button5.Gradient ==  1 ))
 NHT++;

 CounterSelected = &NHT;

 strcpy(CounterString,"North Heavy Through");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button5.Left;
 y1 = Road_Button5.Top;
 x2 = x1 + Road_Button5.Width;
 y2 = y1 + Road_Button5.Height;

 if (Road_Button5.Gradient ==  1 ) {
 Road_Button5.Gradient =  0 ;
 PaintButton(&Road_Button5,x1,y1,x2,y2);
 }
 else
 {
 Road_Button5.Gradient =  1 ;
 PaintButton(&Road_Button5,x1,y1,x2,y2);
 }
 }
}

void Road_Button6Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button6.Gradient ==  1 ))
 NHL++;

 CounterSelected = &NHL;

 strcpy(CounterString,"North Heavy Left");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button6.Left;
 y1 = Road_Button6.Top;
 x2 = x1 + Road_Button6.Width;
 y2 = y1 + Road_Button6.Height;

 if (Road_Button6.Gradient ==  1 ) {
 Road_Button6.Gradient =  0 ;
 PaintButton(&Road_Button6,x1,y1,x2,y2);
 }
 else
 {
 Road_Button6.Gradient =  1 ;
 PaintButton(&Road_Button6,x1,y1,x2,y2);
 }
 }
}

void Road_Button7Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button7.Gradient ==  1 ))
 NTR++;

 CounterSelected = &NTR;

 strcpy(CounterString,"North Truck Right");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button7.Left;
 y1 = Road_Button7.Top;
 x2 = x1 + Road_Button7.Width;
 y2 = y1 + Road_Button7.Height;

 if (Road_Button7.Gradient ==  1 ) {
 Road_Button7.Gradient =  0 ;
 PaintButton(&Road_Button7,x1,y1,x2,y2);
 }
 else
 {
 Road_Button7.Gradient =  1 ;
 PaintButton(&Road_Button7,x1,y1,x2,y2);
 }
 }
}

void Road_Button8Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button8.Gradient ==  1 ))
 NTT++;

 CounterSelected = &NTT;

 strcpy(CounterString,"North Truck Through");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button8.Left;
 y1 = Road_Button8.Top;
 x2 = x1 + Road_Button8.Width;
 y2 = y1 + Road_Button8.Height;

 if (Road_Button8.Gradient ==  1 ) {
 Road_Button8.Gradient =  0 ;
 PaintButton(&Road_Button8,x1,y1,x2,y2);
 }
 else
 {
 Road_Button8.Gradient =  1 ;
 PaintButton(&Road_Button8,x1,y1,x2,y2);
 }
 }
}

void Road_Button9Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button9.Gradient ==  1 ))
 NTL++;

 CounterSelected = &NTL;

 strcpy(CounterString,"North Truck Left");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button9.Left;
 y1 = Road_Button9.Top;
 x2 = x1 + Road_Button9.Width;
 y2 = y1 + Road_Button9.Height;

 if (Road_Button9.Gradient ==  1 ) {
 Road_Button9.Gradient =  0 ;
 PaintButton(&Road_Button9,x1,y1,x2,y2);
 }
 else
 {
 Road_Button9.Gradient =  1 ;
 PaintButton(&Road_Button9,x1,y1,x2,y2);
 }
 }
}

void Road_Button10Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button10.Gradient ==  1 ))
 NCR++;

 CounterSelected = &NCR;

 strcpy(CounterString,"North Car Right");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button10.Left;
 y1 = Road_Button10.Top;
 x2 = x1 + Road_Button10.Width;
 y2 = y1 + Road_Button10.Height;

 if (Road_Button10.Gradient ==  1 ) {
 Road_Button10.Gradient =  0 ;
 PaintButton(&Road_Button10,x1,y1,x2,y2);
 }
 else
 {
 Road_Button10.Gradient =  1 ;
 PaintButton(&Road_Button10,x1,y1,x2,y2);
 }
 }
}

void Road_Button11Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button11.Gradient ==  1 ))
 NCT++;

 CounterSelected = &NCT;

 strcpy(CounterString,"North Car Through");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button11.Left;
 y1 = Road_Button11.Top;
 x2 = x1 + Road_Button11.Width;
 y2 = y1 + Road_Button11.Height;

 if (Road_Button11.Gradient ==  1 ) {
 Road_Button11.Gradient =  0 ;
 PaintButton(&Road_Button11,x1,y1,x2,y2);
 }
 else
 {
 Road_Button11.Gradient =  1 ;
 PaintButton(&Road_Button11,x1,y1,x2,y2);
 }
 }
}

void Road_Button12Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button12.Gradient ==  1 ))
 NCL++;

 CounterSelected = &NCL;

 strcpy(CounterString,"North Car Left");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button12.Left;
 y1 = Road_Button12.Top;
 x2 = x1 + Road_Button12.Width;
 y2 = y1 + Road_Button12.Height;

 if (Road_Button12.Gradient ==  1 ) {
 Road_Button12.Gradient =  0 ;
 PaintButton(&Road_Button12,x1,y1,x2,y2);
 }
 else
 {
 Road_Button12.Gradient =  1 ;
 PaintButton(&Road_Button12,x1,y1,x2,y2);
 }
 }
}

void Road_Button13Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button13.Gradient ==  1 ))
 SCL++;

 CounterSelected = &SCL;

 strcpy(CounterString,"South Car Left");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button13.Left;
 y1 = Road_Button13.Top;
 x2 = x1 + Road_Button13.Width;
 y2 = y1 + Road_Button13.Height;

 if (Road_Button13.Gradient ==  1 ) {
 Road_Button13.Gradient =  0 ;
 PaintButton(&Road_Button13,x1,y1,x2,y2);
 }
 else
 {
 Road_Button13.Gradient =  1 ;
 PaintButton(&Road_Button13,x1,y1,x2,y2);
 }
 }
}

void Road_Button14Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button14.Gradient ==  1 ))
 SCT++;

 CounterSelected = &SCT;

 strcpy(CounterString,"South Car Through");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button14.Left;
 y1 = Road_Button14.Top;
 x2 = x1 + Road_Button14.Width;
 y2 = y1 + Road_Button14.Height;

 if (Road_Button14.Gradient ==  1 ) {
 Road_Button14.Gradient =  0 ;
 PaintButton(&Road_Button14,x1,y1,x2,y2);
 }
 else
 {
 Road_Button14.Gradient =  1 ;
 PaintButton(&Road_Button14,x1,y1,x2,y2);
 }
 }
}

void Road_Button15Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button15.Gradient ==  1 ))
 SCR++;

 CounterSelected = &SCR;

 strcpy(CounterString,"South Car Right");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button15.Left;
 y1 = Road_Button15.Top;
 x2 = x1 + Road_Button15.Width;
 y2 = y1 + Road_Button15.Height;

 if (Road_Button15.Gradient ==  1 ) {
 Road_Button15.Gradient =  0 ;
 PaintButton(&Road_Button15,x1,y1,x2,y2);
 }
 else
 {
 Road_Button15.Gradient =  1 ;
 PaintButton(&Road_Button15,x1,y1,x2,y2);
 }
 }
}

void Road_Button16Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button16.Gradient ==  1 ))
 STL++;

 CounterSelected = &STL;

 strcpy(CounterString,"South Truck Left");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button16.Left;
 y1 = Road_Button16.Top;
 x2 = x1 + Road_Button16.Width;
 y2 = y1 + Road_Button16.Height;

 if (Road_Button16.Gradient ==  1 ) {
 Road_Button16.Gradient =  0 ;
 PaintButton(&Road_Button16,x1,y1,x2,y2);
 }
 else
 {
 Road_Button16.Gradient =  1 ;
 PaintButton(&Road_Button16,x1,y1,x2,y2);
 }
 }
}

void Road_Button17Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button17.Gradient ==  1 ))
 STT++;

 CounterSelected = &STT;

 strcpy(CounterString,"South Truck Through");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button17.Left;
 y1 = Road_Button17.Top;
 x2 = x1 + Road_Button17.Width;
 y2 = y1 + Road_Button17.Height;

 if (Road_Button17.Gradient ==  1 ) {
 Road_Button17.Gradient =  0 ;
 PaintButton(&Road_Button17,x1,y1,x2,y2);
 }
 else
 {
 Road_Button17.Gradient =  1 ;
 PaintButton(&Road_Button17,x1,y1,x2,y2);
 }
 }
}

void Road_Button18Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button18.Gradient ==  1 ))
 STR++;

 CounterSelected = &STR;

 strcpy(CounterString,"South Truck Right");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button18.Left;
 y1 = Road_Button18.Top;
 x2 = x1 + Road_Button18.Width;
 y2 = y1 + Road_Button18.Height;

 if (Road_Button18.Gradient ==  1 ) {
 Road_Button18.Gradient =  0 ;
 PaintButton(&Road_Button18,x1,y1,x2,y2);
 }
 else
 {
 Road_Button18.Gradient =  1 ;
 PaintButton(&Road_Button18,x1,y1,x2,y2);
 }
 }
}

void Road_Button19Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button19.Gradient ==  1 ))
 SHL++;

 CounterSelected = &SHL;

 strcpy(CounterString,"South Heavy Left");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button19.Left;
 y1 = Road_Button19.Top;
 x2 = x1 + Road_Button19.Width;
 y2 = y1 + Road_Button19.Height;

 if (Road_Button19.Gradient ==  1 ) {
 Road_Button19.Gradient =  0 ;
 PaintButton(&Road_Button19,x1,y1,x2,y2);
 }
 else
 {
 Road_Button19.Gradient =  1 ;
 PaintButton(&Road_Button19,x1,y1,x2,y2);
 }
 }
}

void Road_Button20Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button20.Gradient ==  1 ))
 SHT++;

 CounterSelected = &SHT;

 strcpy(CounterString,"South Heavy Through");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button20.Left;
 y1 = Road_Button20.Top;
 x2 = x1 + Road_Button20.Width;
 y2 = y1 + Road_Button20.Height;

 if (Road_Button20.Gradient ==  1 ) {
 Road_Button20.Gradient =  0 ;
 PaintButton(&Road_Button20,x1,y1,x2,y2);
 }
 else
 {
 Road_Button20.Gradient =  1 ;
 PaintButton(&Road_Button20,x1,y1,x2,y2);
 }
 }
}

void Road_Button21Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button21.Gradient ==  1 ))
 SHR++;

 CounterSelected = &SHR;

 strcpy(CounterString,"South Heavy Right");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button21.Left;
 y1 = Road_Button21.Top;
 x2 = x1 + Road_Button21.Width;
 y2 = y1 + Road_Button21.Height;

 if (Road_Button21.Gradient ==  1 ) {
 Road_Button21.Gradient =  0 ;
 PaintButton(&Road_Button21,x1,y1,x2,y2);
 }
 else
 {
 Road_Button21.Gradient =  1 ;
 PaintButton(&Road_Button21,x1,y1,x2,y2);
 }
 }
}

void Road_Button22Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button22.Gradient ==  1 ))
 Spare6++;

 CounterSelected = &Spare6;

 strcpy(CounterString,"Spare 6");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button22.Left;
 y1 = Road_Button22.Top;
 x2 = x1 + Road_Button22.Width;
 y2 = y1 + Road_Button22.Height;

 if (Road_Button22.Gradient ==  1 ) {
 Road_Button22.Gradient =  0 ;
 PaintButton(&Road_Button22,x1,y1,x2,y2);
 }
 else
 {
 Road_Button22.Gradient =  1 ;
 PaintButton(&Road_Button22,x1,y1,x2,y2);
 }
 }
}

void Road_Button23Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button23.Gradient ==  1 ))
 SPC++;

 CounterSelected = &SPC;

 strcpy(CounterString,"South Pedestrian Cross");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button23.Left;
 y1 = Road_Button23.Top;
 x2 = x1 + Road_Button23.Width;
 y2 = y1 + Road_Button23.Height;

 if (Road_Button23.Gradient ==  1 ) {
 Road_Button23.Gradient =  0 ;
 PaintButton(&Road_Button23,x1,y1,x2,y2);
 }
 else
 {
 Road_Button23.Gradient =  1 ;
 PaintButton(&Road_Button23,x1,y1,x2,y2);
 }
 }
}

void Road_Button24Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button24.Gradient ==  1 ))
 Spare5++;

 CounterSelected = &Spare5;

 strcpy(CounterString,"Spare 5");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button24.Left;
 y1 = Road_Button24.Top;
 x2 = x1 + Road_Button24.Width;
 y2 = y1 + Road_Button24.Height;

 if (Road_Button24.Gradient ==  1 ) {
 Road_Button24.Gradient =  0 ;
 PaintButton(&Road_Button24,x1,y1,x2,y2);
 }
 else
 {
 Road_Button24.Gradient =  1 ;
 PaintButton(&Road_Button24,x1,y1,x2,y2);
 }
 }
}

void Road_Button25Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button25.Gradient ==  1 ))
 Spare8++;

 CounterSelected = &Spare8;

 strcpy(CounterString,"Spare 8");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button25.Left;
 y1 = Road_Button25.Top;
 x2 = x1 + Road_Button25.Width;
 y2 = y1 + Road_Button25.Height;

 if (Road_Button25.Gradient ==  1 ) {
 Road_Button25.Gradient =  0 ;
 PaintButton(&Road_Button25,x1,y1,x2,y2);
 }
 else
 {
 Road_Button25.Gradient =  1 ;
 PaintButton(&Road_Button25,x1,y1,x2,y2);
 }
 }
}

void Road_Button26Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button26.Gradient ==  1 ))
 WHL++;

 CounterSelected = &WHL;

 strcpy(CounterString,"West Heavy Left");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button26.Left;
 y1 = Road_Button26.Top;
 x2 = x1 + Road_Button26.Width;
 y2 = y1 + Road_Button26.Height;

 if (Road_Button26.Gradient ==  1 ) {
 Road_Button26.Gradient =  0 ;
 PaintButton(&Road_Button26,x1,y1,x2,y2);
 }
 else
 {
 Road_Button26.Gradient =  1 ;
 PaintButton(&Road_Button26,x1,y1,x2,y2);
 }
 }
}

void Road_Button27Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button27.Gradient ==  1 ))
 WTL++;

 CounterSelected = &WTL;

 strcpy(CounterString,"West Truck Left");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button27.Left;
 y1 = Road_Button27.Top;
 x2 = x1 + Road_Button27.Width;
 y2 = y1 + Road_Button27.Height;

 if (Road_Button27.Gradient ==  1 ) {
 Road_Button27.Gradient =  0 ;
 PaintButton(&Road_Button27,x1,y1,x2,y2);
 }
 else
 {
 Road_Button27.Gradient =  1 ;
 PaintButton(&Road_Button27,x1,y1,x2,y2);
 }
 }
}

void Road_Button28Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button28.Gradient ==  1 ))
 WCL++;

 CounterSelected = &WCL;

 strcpy(CounterString,"West Car Left");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button28.Left;
 y1 = Road_Button28.Top;
 x2 = x1 + Road_Button28.Width;
 y2 = y1 + Road_Button28.Height;

 if (Road_Button28.Gradient ==  1 ) {
 Road_Button28.Gradient =  0 ;
 PaintButton(&Road_Button28,x1,y1,x2,y2);
 }
 else
 {
 Road_Button28.Gradient =  1 ;
 PaintButton(&Road_Button28,x1,y1,x2,y2);
 }
 }
}

void Road_Button29Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button29.Gradient ==  1 ))
 WPC++;

 CounterSelected = &WPC;

 strcpy(CounterString,"West Pedestrian Cross");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button29.Left;
 y1 = Road_Button29.Top;
 x2 = x1 + Road_Button29.Width;
 y2 = y1 + Road_Button29.Height;

 if (Road_Button29.Gradient ==  1 ) {
 Road_Button29.Gradient =  0 ;
 PaintButton(&Road_Button29,x1,y1,x2,y2);
 }
 else
 {
 Road_Button29.Gradient =  1 ;
 PaintButton(&Road_Button29,x1,y1,x2,y2);
 }
 }
}

void Road_Button30Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button30.Gradient ==  1 ))
 WHT++;

 CounterSelected = &WHT;

 strcpy(CounterString,"West Heavy Through");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button30.Left;
 y1 = Road_Button30.Top;
 x2 = x1 + Road_Button30.Width;
 y2 = y1 + Road_Button30.Height;

 if (Road_Button30.Gradient ==  1 ) {
 Road_Button30.Gradient =  0 ;
 PaintButton(&Road_Button30,x1,y1,x2,y2);
 }
 else
 {
 Road_Button30.Gradient =  1 ;
 PaintButton(&Road_Button30,x1,y1,x2,y2);
 }
 }
}

void Road_Button31Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button31.Gradient ==  1 ))
 WTT++;

 CounterSelected = &WTT;

 strcpy(CounterString,"West Truck Through");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button31.Left;
 y1 = Road_Button31.Top;
 x2 = x1 + Road_Button31.Width;
 y2 = y1 + Road_Button31.Height;

 if (Road_Button31.Gradient ==  1 ) {
 Road_Button31.Gradient =  0 ;
 PaintButton(&Road_Button31,x1,y1,x2,y2);
 }
 else
 {
 Road_Button31.Gradient =  1 ;
 PaintButton(&Road_Button31,x1,y1,x2,y2);
 }
 }
}

void Road_Button32Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button32.Gradient ==  1 ))
 WCT++;

 CounterSelected = &WCT;

 strcpy(CounterString,"West Car Through");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button32.Left;
 y1 = Road_Button32.Top;
 x2 = x1 + Road_Button32.Width;
 y2 = y1 + Road_Button32.Height;

 if (Road_Button32.Gradient ==  1 ) {
 Road_Button32.Gradient =  0 ;
 PaintButton(&Road_Button32,x1,y1,x2,y2);
 }
 else
 {
 Road_Button32.Gradient =  1 ;
 PaintButton(&Road_Button32,x1,y1,x2,y2);
 }
 }
}

void Road_Button33Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button33.Gradient ==  1 ))
 Spare7++;

 CounterSelected = &Spare7;

 strcpy(CounterString,"Spare 7");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button33.Left;
 y1 = Road_Button33.Top;
 x2 = x1 + Road_Button33.Width;
 y2 = y1 + Road_Button33.Height;

 if (Road_Button33.Gradient ==  1 ) {
 Road_Button33.Gradient =  0 ;
 PaintButton(&Road_Button33,x1,y1,x2,y2);
 }
 else
 {
 Road_Button33.Gradient =  1 ;
 PaintButton(&Road_Button33,x1,y1,x2,y2);
 }
 }
}

void Road_Button34Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button34.Gradient ==  1 ))
 WHR++;

 CounterSelected = &WHR;

 strcpy(CounterString,"West Heavy Right");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button34.Left;
 y1 = Road_Button34.Top;
 x2 = x1 + Road_Button34.Width;
 y2 = y1 + Road_Button34.Height;

 if (Road_Button34.Gradient ==  1 ) {
 Road_Button34.Gradient =  0 ;
 PaintButton(&Road_Button34,x1,y1,x2,y2);
 }
 else
 {
 Road_Button34.Gradient =  1 ;
 PaintButton(&Road_Button34,x1,y1,x2,y2);
 }
 }
}

void Road_Button35Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button35.Gradient ==  1 ))
 WTR++;

 CounterSelected = &WTR;

 strcpy(CounterString,"West Truck Right");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button35.Left;
 y1 = Road_Button35.Top;
 x2 = x1 + Road_Button35.Width;
 y2 = y1 + Road_Button35.Height;

 if (Road_Button35.Gradient ==  1 ) {
 Road_Button35.Gradient =  0 ;
 PaintButton(&Road_Button35,x1,y1,x2,y2);
 }
 else
 {
 Road_Button35.Gradient =  1 ;
 PaintButton(&Road_Button35,x1,y1,x2,y2);
 }
 }
}

void Road_Button36Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button36.Gradient ==  1 ))
 WCR++;

 CounterSelected = &WCR;

 strcpy(CounterString,"West Car Right");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button36.Left;
 y1 = Road_Button36.Top;
 x2 = x1 + Road_Button36.Width;
 y2 = y1 + Road_Button36.Height;

 if (Road_Button36.Gradient ==  1 ) {
 Road_Button36.Gradient =  0 ;
 PaintButton(&Road_Button36,x1,y1,x2,y2);
 }
 else
 {
 Road_Button36.Gradient =  1 ;
 PaintButton(&Road_Button36,x1,y1,x2,y2);
 }
 }
}

void Road_Button37Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button37.Gradient ==  1 ))
 ECR++;

 CounterSelected = &ECR;

 strcpy(CounterString,"East Car Right");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button37.Left;
 y1 = Road_Button37.Top;
 x2 = x1 + Road_Button37.Width;
 y2 = y1 + Road_Button37.Height;

 if (Road_Button37.Gradient ==  1 ) {
 Road_Button37.Gradient =  0 ;
 PaintButton(&Road_Button37,x1,y1,x2,y2);
 }
 else
 {
 Road_Button37.Gradient =  1 ;
 PaintButton(&Road_Button37,x1,y1,x2,y2);
 }
 }
}

void Road_Button38Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button38.Gradient ==  1 ))
 ETR++;

 CounterSelected = &ETR;

 strcpy(CounterString,"East Truck Right");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button38.Left;
 y1 = Road_Button38.Top;
 x2 = x1 + Road_Button38.Width;
 y2 = y1 + Road_Button38.Height;

 if (Road_Button38.Gradient ==  1 ) {
 Road_Button38.Gradient =  0 ;
 PaintButton(&Road_Button38,x1,y1,x2,y2);
 }
 else
 {
 Road_Button38.Gradient =  1 ;
 PaintButton(&Road_Button38,x1,y1,x2,y2);
 }
 }
}

void Road_Button39Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button39.Gradient ==  1 ))
 EHR++;

 CounterSelected = &EHR;

 strcpy(CounterString,"East Heavy Right");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button39.Left;
 y1 = Road_Button39.Top;
 x2 = x1 + Road_Button39.Width;
 y2 = y1 + Road_Button39.Height;

 if (Road_Button39.Gradient ==  1 ) {
 Road_Button39.Gradient =  0 ;
 PaintButton(&Road_Button39,x1,y1,x2,y2);
 }
 else
 {
 Road_Button39.Gradient =  1 ;
 PaintButton(&Road_Button39,x1,y1,x2,y2);
 }
 }
}

void Road_Button40Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button40.Gradient ==  1 ))
 Spare3++;

 CounterSelected = &Spare3;

 strcpy(CounterString,"Spare 3");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button40.Left;
 y1 = Road_Button40.Top;
 x2 = x1 + Road_Button40.Width;
 y2 = y1 + Road_Button40.Height;

 if (Road_Button40.Gradient ==  1 ) {
 Road_Button40.Gradient =  0 ;
 PaintButton(&Road_Button40,x1,y1,x2,y2);
 }
 else
 {
 Road_Button40.Gradient =  1 ;
 PaintButton(&Road_Button40,x1,y1,x2,y2);
 }
 }
}

void Road_Button41Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button41.Gradient ==  1 ))
 ECT++;

 CounterSelected = &ECT;

 strcpy(CounterString,"East Car Through");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button41.Left;
 y1 = Road_Button41.Top;
 x2 = x1 + Road_Button41.Width;
 y2 = y1 + Road_Button41.Height;

 if (Road_Button41.Gradient ==  1 ) {
 Road_Button41.Gradient =  0 ;
 PaintButton(&Road_Button41,x1,y1,x2,y2);
 }
 else
 {
 Road_Button41.Gradient =  1 ;
 PaintButton(&Road_Button41,x1,y1,x2,y2);
 }
 }
}

void Road_Button42Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button42.Gradient ==  1 ))
 ETT++;

 CounterSelected = &ETT;

 strcpy(CounterString,"East Truck Through");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button42.Left;
 y1 = Road_Button42.Top;
 x2 = x1 + Road_Button42.Width;
 y2 = y1 + Road_Button42.Height;

 if (Road_Button42.Gradient ==  1 ) {
 Road_Button42.Gradient =  0 ;
 PaintButton(&Road_Button42,x1,y1,x2,y2);
 }
 else
 {
 Road_Button42.Gradient =  1 ;
 PaintButton(&Road_Button42,x1,y1,x2,y2);
 }
 }
}

void Road_Button43Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button43.Gradient ==  1 ))
 EHT++;

 CounterSelected = &EHT;

 strcpy(CounterString,"East Heavy Through");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button43.Left;
 y1 = Road_Button43.Top;
 x2 = x1 + Road_Button43.Width;
 y2 = y1 + Road_Button43.Height;

 if (Road_Button43.Gradient ==  1 ) {
 Road_Button43.Gradient =  0 ;
 PaintButton(&Road_Button43,x1,y1,x2,y2);
 }
 else
 {
 Road_Button43.Gradient =  1 ;
 PaintButton(&Road_Button43,x1,y1,x2,y2);
 }
 }
}

void Road_Button44Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button44.Gradient ==  1 ))
 EPC++;

 CounterSelected = &EPC;

 strcpy(CounterString,"East Pedestrian Cross");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button44.Left;
 y1 = Road_Button44.Top;
 x2 = x1 + Road_Button44.Width;
 y2 = y1 + Road_Button44.Height;

 if (Road_Button44.Gradient ==  1 ) {
 Road_Button44.Gradient =  0 ;
 PaintButton(&Road_Button44,x1,y1,x2,y2);
 }
 else
 {
 Road_Button44.Gradient =  1 ;
 PaintButton(&Road_Button44,x1,y1,x2,y2);
 }
 }
}

void Road_Button45Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button45.Gradient ==  1 ))
 ECL++;

 CounterSelected = &ECL;

 strcpy(CounterString,"East Car Left");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button45.Left;
 y1 = Road_Button45.Top;
 x2 = x1 + Road_Button45.Width;
 y2 = y1 + Road_Button45.Height;

 if (Road_Button45.Gradient ==  1 ) {
 Road_Button45.Gradient =  0 ;
 PaintButton(&Road_Button45,x1,y1,x2,y2);
 }
 else
 {
 Road_Button45.Gradient =  1 ;
 PaintButton(&Road_Button45,x1,y1,x2,y2);
 }
 }
}

void Road_Button46Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button46.Gradient ==  1 ))
 ETL++;

 CounterSelected = &ETL;

 strcpy(CounterString,"East Truck Left");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button46.Left;
 y1 = Road_Button46.Top;
 x2 = x1 + Road_Button46.Width;
 y2 = y1 + Road_Button46.Height;

 if (Road_Button46.Gradient ==  1 ) {
 Road_Button46.Gradient =  0 ;
 PaintButton(&Road_Button46,x1,y1,x2,y2);
 }
 else
 {
 Road_Button46.Gradient =  1 ;
 PaintButton(&Road_Button46,x1,y1,x2,y2);
 }
 }
}

void Road_Button47Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button47.Gradient ==  1 ))
 EHL++;

 CounterSelected = &EHL;

 strcpy(CounterString,"East Heavy Left");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button47.Left;
 y1 = Road_Button47.Top;
 x2 = x1 + Road_Button47.Width;
 y2 = y1 + Road_Button47.Height;

 if (Road_Button47.Gradient ==  1 ) {
 Road_Button47.Gradient =  0 ;
 PaintButton(&Road_Button47,x1,y1,x2,y2);
 }
 else
 {
 Road_Button47.Gradient =  1 ;
 PaintButton(&Road_Button47,x1,y1,x2,y2);
 }
 }
}

void Road_Button48Click() {
 int x1, y1, x2, y2;

 if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button48.Gradient ==  1 ))
 Spare4++;

 CounterSelected = &Spare4;

 strcpy(CounterString,"Spare 4");
 PaintRoundButton1();
 PaintRoundButton2();

 if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
 x1 = Road_Button48.Left;
 y1 = Road_Button48.Top;
 x2 = x1 + Road_Button48.Width;
 y2 = y1 + Road_Button48.Height;

 if (Road_Button48.Gradient ==  1 ) {
 Road_Button48.Gradient =  0 ;
 PaintButton(&Road_Button48,x1,y1,x2,y2);
 }
 else
 {
 Road_Button48.Gradient =  1 ;
 PaintButton(&Road_Button48,x1,y1,x2,y2);
 }
 }
}

void Road_CircleButton1Click() {
 Road_CircleButton1.Gradient_Start_Color = CL_RED;
 DrawCircleButton(&Road_CircleButton1);
 Road_CircleButton2.Gradient_Start_Color = CL_WHITE;
 DrawCircleButton(&Road_CircleButton2);
 Road_CircleButton3.Gradient_Start_Color = CL_WHITE;
 DrawCircleButton(&Road_CircleButton3);
}

void Road_CircleButton2Click() {
 Road_CircleButton1.Gradient_Start_Color = CL_WHITE;
 DrawCircleButton(&Road_CircleButton1);
 Road_CircleButton2.Gradient_Start_Color = CL_RED;
 DrawCircleButton(&Road_CircleButton2);
 Road_CircleButton3.Gradient_Start_Color = CL_WHITE;
 DrawCircleButton(&Road_CircleButton3);

}

void Road_CircleButton3Click() {
 Road_CircleButton1.Gradient_Start_Color = CL_WHITE;
 DrawCircleButton(&Road_CircleButton1);
 Road_CircleButton2.Gradient_Start_Color = CL_WHITE;
 DrawCircleButton(&Road_CircleButton2);
 Road_CircleButton3.Gradient_Start_Color = CL_RED;
 DrawCircleButton(&Road_CircleButton3);
}

void Road_CircleButton4Click() {
 if ((CounterSelected != 0) && (*CounterSelected > 0)) {
 *CounterSelected -= 1;
 PaintRoundButton2();
 }
}

void Road_CircleButton5Click() {
 if ((CounterSelected != 0) && (*CounterSelected > 0)) {
 *CounterSelected += 1;
 PaintRoundButton2();
 }
}


void Road_Button49Click() {
 Road_Button49.Color = CL_YELLOW;
 Road_Button49.Caption = "N";


 Road_Button50.Color = CL_GRAY;
 Road_Button50.Caption = "E";


 Road_Button51.Color = CL_GRAY;
 Road_Button51.Caption = "S";


 Road_Button52.Color = CL_GRAY;
 Road_Button52.Caption = "W";



 Road_Button1.Left = 118; Road_Button1.Top = 34;
 Road_Button2.Left = 146; Road_Button2.Top = 34;
 Road_Button3.Left = 174; Road_Button3.Top = 34;
 Road_Button4.Left = 118; Road_Button4.Top = 50;
 Road_Button5.Left = 146; Road_Button5.Top = 50;
 Road_Button6.Left = 174; Road_Button6.Top = 50;
 Road_Button7.Left = 118; Road_Button7.Top = 66;
 Road_Button8.Left = 146; Road_Button8.Top = 66;
 Road_Button9.Left = 174; Road_Button9.Top = 66;
 Road_Button10.Left = 118; Road_Button10.Top = 82;
 Road_Button11.Left = 146; Road_Button11.Top = 82;
 Road_Button12.Left = 174; Road_Button12.Top = 82;


 Road_Button13.Left = 118; Road_Button13.Top = 153;
 Road_Button14.Left = 146; Road_Button14.Top = 153;
 Road_Button15.Left = 174; Road_Button15.Top = 153;
 Road_Button16.Left = 118; Road_Button16.Top = 169;
 Road_Button17.Left = 146; Road_Button17.Top = 169;
 Road_Button18.Left = 174; Road_Button18.Top = 169;
 Road_Button19.Left = 118; Road_Button19.Top = 185;
 Road_Button20.Left = 146; Road_Button20.Top = 185;
 Road_Button21.Left = 174; Road_Button21.Top = 185;
 Road_Button22.Left = 118; Road_Button22.Top = 201;
 Road_Button23.Left = 146; Road_Button23.Top = 201;
 Road_Button24.Left = 174; Road_Button24.Top = 201;


 Road_Button25.Left = 4; Road_Button25.Top = 101;
 Road_Button26.Left = 32; Road_Button26.Top = 101;
 Road_Button27.Left = 60; Road_Button27.Top = 101;
 Road_Button28.Left = 88; Road_Button28.Top = 101;
 Road_Button29.Left = 4; Road_Button29.Top = 117;
 Road_Button30.Left = 32; Road_Button30.Top = 117;
 Road_Button31.Left = 60; Road_Button31.Top = 117;
 Road_Button32.Left = 88; Road_Button32.Top = 117;
 Road_Button33.Left = 4; Road_Button33.Top = 133;
 Road_Button34.Left = 32; Road_Button34.Top = 133;
 Road_Button35.Left = 60; Road_Button35.Top = 133;
 Road_Button36.Left = 88; Road_Button36.Top = 133;


 Road_Button37.Left = 204; Road_Button37.Top = 101;
 Road_Button38.Left = 232; Road_Button38.Top = 101;
 Road_Button39.Left = 260; Road_Button39.Top = 101;
 Road_Button40.Left = 288; Road_Button40.Top = 101;
 Road_Button41.Left = 204; Road_Button41.Top = 117;
 Road_Button42.Left = 232; Road_Button42.Top = 117;
 Road_Button43.Left = 260; Road_Button43.Top = 117;
 Road_Button44.Left = 288; Road_Button44.Top = 117;
 Road_Button45.Left = 204; Road_Button45.Top = 133;
 Road_Button46.Left = 232; Road_Button46.Top = 133;
 Road_Button47.Left = 260; Road_Button47.Top = 133;
 Road_Button48.Left = 288; Road_Button48.Top = 133;

 DrawScreen(&Road);
}


void Road_Button50Click() {
 Road_Button49.Color = CL_GRAY;
 Road_Button49.Caption = "W";


 Road_Button50.Color = CL_YELLOW;
 Road_Button50.Caption = "N";


 Road_Button51.Color = CL_GRAY;
 Road_Button51.Caption = "E";


 Road_Button52.Color = CL_GRAY;
 Road_Button52.Caption = "S";



 Road_Button1.Left = 288; Road_Button1.Top = 101;
 Road_Button2.Left = 288; Road_Button2.Top = 117;
 Road_Button3.Left = 288; Road_Button3.Top = 133;
 Road_Button4.Left = 260; Road_Button4.Top = 101;
 Road_Button5.Left = 260; Road_Button5.Top = 117;
 Road_Button6.Left = 260; Road_Button6.Top = 133;
 Road_Button7.Left = 232; Road_Button7.Top = 101;
 Road_Button8.Left = 232; Road_Button8.Top = 117;
 Road_Button9.Left = 232; Road_Button9.Top = 133;
 Road_Button10.Left = 204; Road_Button10.Top = 101;
 Road_Button11.Left = 204; Road_Button11.Top = 117;
 Road_Button12.Left = 204; Road_Button12.Top = 133;


 Road_Button13.Left = 88; Road_Button13.Top = 101;
 Road_Button14.Left = 88; Road_Button14.Top = 117;
 Road_Button15.Left = 88; Road_Button15.Top = 133;
 Road_Button16.Left = 60; Road_Button16.Top = 101;
 Road_Button17.Left = 60; Road_Button17.Top = 117;
 Road_Button18.Left = 60; Road_Button18.Top = 133;
 Road_Button19.Left = 32; Road_Button19.Top = 101;
 Road_Button20.Left = 32; Road_Button20.Top = 117;
 Road_Button21.Left = 32; Road_Button21.Top = 133;
 Road_Button22.Left = 4; Road_Button22.Top = 101;
 Road_Button23.Left = 4; Road_Button23.Top = 117;
 Road_Button24.Left = 4; Road_Button24.Top = 133;


 Road_Button25.Left = 174; Road_Button25.Top = 34;
 Road_Button26.Left = 174; Road_Button26.Top = 50;
 Road_Button27.Left = 174; Road_Button27.Top = 66;
 Road_Button28.Left = 174; Road_Button28.Top = 82;
 Road_Button29.Left = 146; Road_Button29.Top = 34;
 Road_Button30.Left = 146; Road_Button30.Top = 50;
 Road_Button31.Left = 146; Road_Button31.Top = 66;
 Road_Button32.Left = 146; Road_Button32.Top = 82;
 Road_Button33.Left = 118; Road_Button33.Top = 34;
 Road_Button34.Left = 118; Road_Button34.Top = 50;
 Road_Button35.Left = 118; Road_Button35.Top = 66;
 Road_Button36.Left = 118; Road_Button36.Top = 82;


 Road_Button37.Left = 174; Road_Button37.Top = 153;
 Road_Button38.Left = 174; Road_Button38.Top = 169;
 Road_Button39.Left = 174; Road_Button39.Top = 185;
 Road_Button40.Left = 174; Road_Button40.Top = 201;
 Road_Button41.Left = 146; Road_Button41.Top = 153;
 Road_Button42.Left = 146; Road_Button42.Top = 169;
 Road_Button43.Left = 146; Road_Button43.Top = 185;
 Road_Button44.Left = 146; Road_Button44.Top = 201;
 Road_Button45.Left = 118; Road_Button45.Top = 153;
 Road_Button46.Left = 118; Road_Button46.Top = 169;
 Road_Button47.Left = 118; Road_Button47.Top = 185;
 Road_Button48.Left = 118; Road_Button48.Top = 201;

 DrawScreen(&Road);
}


void Road_Button51Click() {
 Road_Button49.Color = CL_GRAY;
 Road_Button49.Caption = "S";


 Road_Button50.Color = CL_GRAY;
 Road_Button50.Caption = "W";


 Road_Button51.Color = CL_YELLOW;
 Road_Button51.Caption = "N";


 Road_Button52.Color = CL_GRAY;
 Road_Button52.Caption = "E";



 Road_Button1.Left = 174; Road_Button1.Top = 201;
 Road_Button2.Left = 146; Road_Button2.Top = 201;
 Road_Button3.Left = 118; Road_Button3.Top = 201;
 Road_Button4.Left = 174; Road_Button4.Top = 185;
 Road_Button5.Left = 146; Road_Button5.Top = 185;
 Road_Button6.Left = 118; Road_Button6.Top = 185;
 Road_Button7.Left = 174; Road_Button7.Top = 169;
 Road_Button8.Left = 146; Road_Button8.Top = 169;
 Road_Button9.Left = 118; Road_Button9.Top = 169;
 Road_Button10.Left = 174; Road_Button10.Top = 153;
 Road_Button11.Left = 146; Road_Button11.Top = 153;
 Road_Button12.Left = 118; Road_Button12.Top = 153;


 Road_Button13.Left = 174; Road_Button13.Top = 82;
 Road_Button14.Left = 146; Road_Button14.Top = 82;
 Road_Button15.Left = 118; Road_Button15.Top = 82;
 Road_Button16.Left = 174; Road_Button16.Top = 66;
 Road_Button17.Left = 146; Road_Button17.Top = 66;
 Road_Button18.Left = 118; Road_Button18.Top = 66;
 Road_Button19.Left = 174; Road_Button19.Top = 50;
 Road_Button20.Left = 146; Road_Button20.Top = 50;
 Road_Button21.Left = 118; Road_Button21.Top = 50;
 Road_Button22.Left = 174; Road_Button22.Top = 34;
 Road_Button23.Left = 146; Road_Button23.Top = 34;
 Road_Button24.Left = 118; Road_Button24.Top = 34;


 Road_Button25.Left = 288; Road_Button25.Top = 133;
 Road_Button26.Left = 260; Road_Button26.Top = 133;
 Road_Button27.Left = 232; Road_Button27.Top = 133;
 Road_Button28.Left = 204; Road_Button28.Top = 133;
 Road_Button29.Left = 288; Road_Button29.Top = 117;
 Road_Button30.Left = 260; Road_Button30.Top = 117;
 Road_Button31.Left = 232; Road_Button31.Top = 117;
 Road_Button32.Left = 204; Road_Button32.Top = 117;
 Road_Button33.Left = 288; Road_Button33.Top = 101;
 Road_Button34.Left = 260; Road_Button34.Top = 101;
 Road_Button35.Left = 232; Road_Button35.Top = 101;
 Road_Button36.Left = 204; Road_Button36.Top = 101;


 Road_Button37.Left = 88; Road_Button37.Top = 133;
 Road_Button38.Left = 60; Road_Button38.Top = 133;
 Road_Button39.Left = 32; Road_Button39.Top = 133;
 Road_Button40.Left = 4; Road_Button40.Top = 133;
 Road_Button41.Left = 88; Road_Button41.Top = 117;
 Road_Button42.Left = 60; Road_Button42.Top = 117;
 Road_Button43.Left = 32; Road_Button43.Top = 117;
 Road_Button44.Left = 4; Road_Button44.Top = 117;
 Road_Button45.Left = 88; Road_Button45.Top = 101;
 Road_Button46.Left = 60; Road_Button46.Top = 101;
 Road_Button47.Left = 32; Road_Button47.Top = 101;
 Road_Button48.Left = 4; Road_Button48.Top = 101;

 DrawScreen(&Road);
}


void Road_Button52Click() {
 Road_Button49.Color = CL_GRAY;
 Road_Button49.Caption = "E";


 Road_Button50.Color = CL_GRAY;
 Road_Button50.Caption = "S";


 Road_Button51.Color = CL_GRAY;
 Road_Button51.Caption = "W";


 Road_Button52.Color = CL_YELLOW;
 Road_Button52.Caption = "N";



 Road_Button1.Left = 4; Road_Button1.Top = 133;
 Road_Button2.Left = 4; Road_Button2.Top = 117;
 Road_Button3.Left = 4; Road_Button3.Top = 101;
 Road_Button4.Left = 32; Road_Button4.Top = 133;
 Road_Button5.Left = 32; Road_Button5.Top = 117;
 Road_Button6.Left = 32; Road_Button6.Top = 101;
 Road_Button7.Left = 60; Road_Button7.Top = 133;
 Road_Button8.Left = 60; Road_Button8.Top = 117;
 Road_Button9.Left = 60; Road_Button9.Top = 101;
 Road_Button10.Left = 88; Road_Button10.Top = 133;
 Road_Button11.Left = 88; Road_Button11.Top = 117;
 Road_Button12.Left = 88; Road_Button12.Top = 101;


 Road_Button13.Left = 204; Road_Button13.Top = 133;
 Road_Button14.Left = 204; Road_Button14.Top = 117;
 Road_Button15.Left = 204; Road_Button15.Top = 101;
 Road_Button16.Left = 232; Road_Button16.Top = 133;
 Road_Button17.Left = 232; Road_Button17.Top = 117;
 Road_Button18.Left = 232; Road_Button18.Top = 101;
 Road_Button19.Left = 260; Road_Button19.Top = 133;
 Road_Button20.Left = 260; Road_Button20.Top = 117;
 Road_Button21.Left = 260; Road_Button21.Top = 101;
 Road_Button22.Left = 288; Road_Button22.Top = 133;
 Road_Button23.Left = 288; Road_Button23.Top = 117;
 Road_Button24.Left = 288; Road_Button24.Top = 101;


 Road_Button25.Left = 118; Road_Button25.Top = 201;
 Road_Button26.Left = 118; Road_Button26.Top = 185;
 Road_Button27.Left = 118; Road_Button27.Top = 169;
 Road_Button28.Left = 118; Road_Button28.Top = 153;
 Road_Button29.Left = 146; Road_Button29.Top = 201;
 Road_Button30.Left = 146; Road_Button30.Top = 185;
 Road_Button31.Left = 146; Road_Button31.Top = 169;
 Road_Button32.Left = 146; Road_Button32.Top = 153;
 Road_Button33.Left = 174; Road_Button33.Top = 201;
 Road_Button34.Left = 174; Road_Button34.Top = 185;
 Road_Button35.Left = 174; Road_Button35.Top = 169;
 Road_Button36.Left = 174; Road_Button36.Top = 153;


 Road_Button37.Left = 118; Road_Button37.Top = 82;
 Road_Button38.Left = 118; Road_Button38.Top = 66;
 Road_Button39.Left = 118; Road_Button39.Top = 50;
 Road_Button40.Left = 118; Road_Button40.Top = 34;
 Road_Button41.Left = 146; Road_Button41.Top = 82;
 Road_Button42.Left = 146; Road_Button42.Top = 66;
 Road_Button43.Left = 146; Road_Button43.Top = 50;
 Road_Button44.Left = 146; Road_Button44.Top = 34;
 Road_Button45.Left = 174; Road_Button45.Top = 82;
 Road_Button46.Left = 174; Road_Button46.Top = 66;
 Road_Button47.Left = 174; Road_Button47.Top = 50;
 Road_Button48.Left = 174; Road_Button48.Top = 34;

 DrawScreen(&Road);
}

void Road_ButtonRound3Click() {
 DrawScreen(&Start);
 DisplayFlag =  1 ;
}
