_USB_Init:
;USB_Driver.c,16 :: 		void USB_Init() {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;USB_Driver.c,17 :: 		HID_Enable(&readbuff,&writebuff);
MOVW	R1, #lo_addr(_writebuff+0)
MOVT	R1, #hi_addr(_writebuff+0)
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
BL	_HID_Enable+0
;USB_Driver.c,18 :: 		USB_TxQueueInit();
BL	_USB_TxQueueInit+0
;USB_Driver.c,19 :: 		}
L_end_USB_Init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _USB_Init
_USB_TxQueueInit:
;USB_Driver.c,23 :: 		void USB_TxQueueInit(void) {
;USB_Driver.c,24 :: 		txqueue0.in = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_txqueue0+0)
MOVT	R0, #hi_addr(_txqueue0+0)
STRH	R1, [R0, #0]
;USB_Driver.c,25 :: 		txqueue0.out = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_txqueue0+2)
MOVT	R0, #hi_addr(_txqueue0+2)
STRH	R1, [R0, #0]
;USB_Driver.c,26 :: 		}
L_end_USB_TxQueueInit:
BX	LR
; end of _USB_TxQueueInit
_USB_PutQueue:
;USB_Driver.c,31 :: 		void USB_PutQueue(char *msg) {
; msg start address is: 0 (R0)
;USB_Driver.c,32 :: 		txqueue0.q[txqueue0.in++] = msg;
; msg end address is: 0 (R0)
; msg start address is: 0 (R0)
MOVW	R3, #lo_addr(_txqueue0+0)
MOVT	R3, #hi_addr(_txqueue0+0)
LDRH	R1, [R3, #0]
LSLS	R2, R1, #2
MOVW	R1, #lo_addr(_txqueue0+4)
MOVT	R1, #hi_addr(_txqueue0+4)
ADDS	R1, R1, R2
STR	R0, [R1, #0]
; msg end address is: 0 (R0)
MOV	R1, R3
LDRH	R1, [R1, #0]
ADDS	R1, R1, #1
UXTH	R1, R1
STRH	R1, [R3, #0]
;USB_Driver.c,33 :: 		if (txqueue0.in > (txqsize0-1))
CMP	R1, #31
IT	LS
BLS	L_USB_PutQueue0
;USB_Driver.c,34 :: 		txqueue0.in = 0;
MOVS	R2, #0
MOVW	R1, #lo_addr(_txqueue0+0)
MOVT	R1, #hi_addr(_txqueue0+0)
STRH	R2, [R1, #0]
L_USB_PutQueue0:
;USB_Driver.c,35 :: 		}
L_end_USB_PutQueue:
BX	LR
; end of _USB_PutQueue
_USB_CheckOut:
;USB_Driver.c,43 :: 		void USB_CheckOut(void) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;USB_Driver.c,44 :: 		if (txqueue0.in != txqueue0.out) {        // Look for a pointer in the FIFO
MOVW	R0, #lo_addr(_txqueue0+2)
MOVT	R0, #hi_addr(_txqueue0+2)
LDRH	R1, [R0, #0]
MOVW	R0, #lo_addr(_txqueue0+0)
MOVT	R0, #hi_addr(_txqueue0+0)
LDRH	R0, [R0, #0]
CMP	R0, R1
IT	EQ
BEQ	L_USB_CheckOut1
;USB_Driver.c,45 :: 		if (HID_Write(txqueue0.q[txqueue0.out],64) != 0) {
MOVW	R0, #lo_addr(_txqueue0+2)
MOVT	R0, #hi_addr(_txqueue0+2)
LDRH	R0, [R0, #0]
LSLS	R1, R0, #2
MOVW	R0, #lo_addr(_txqueue0+4)
MOVT	R0, #hi_addr(_txqueue0+4)
ADDS	R0, R0, R1
LDR	R0, [R0, #0]
MOVS	R1, #64
BL	_HID_Write+0
CMP	R0, #0
IT	EQ
BEQ	L_USB_CheckOut2
;USB_Driver.c,46 :: 		txqueue0.out++;
MOVW	R1, #lo_addr(_txqueue0+2)
MOVT	R1, #hi_addr(_txqueue0+2)
LDRH	R0, [R1, #0]
ADDS	R0, R0, #1
UXTH	R0, R0
STRH	R0, [R1, #0]
;USB_Driver.c,47 :: 		if (txqueue0.out > (txqsize0-1))        // If past the end of array
CMP	R0, #31
IT	LS
BLS	L_USB_CheckOut3
;USB_Driver.c,48 :: 		txqueue0.out = 0;        // set pointer to start of array
MOVS	R1, #0
MOVW	R0, #lo_addr(_txqueue0+2)
MOVT	R0, #hi_addr(_txqueue0+2)
STRH	R1, [R0, #0]
L_USB_CheckOut3:
;USB_Driver.c,49 :: 		}
L_USB_CheckOut2:
;USB_Driver.c,50 :: 		}
L_USB_CheckOut1:
;USB_Driver.c,51 :: 		}
L_end_USB_CheckOut:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _USB_CheckOut
_USB_CheckIn:
;USB_Driver.c,58 :: 		void USB_CheckIn(void) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;USB_Driver.c,59 :: 		if (HID_Read() != 0) {
BL	_HID_Read+0
CMP	R0, #0
IT	EQ
BEQ	L_USB_CheckIn4
;USB_Driver.c,60 :: 		switch (readbuff[0]) {
IT	AL
BAL	L_USB_CheckIn5
;USB_Driver.c,61 :: 		case 'a':
L_USB_CheckIn7:
;USB_Driver.c,63 :: 		USB_PutQueue("Command a received");
MOVW	R0, #lo_addr(?lstr1_USB_Driver+0)
MOVT	R0, #hi_addr(?lstr1_USB_Driver+0)
BL	_USB_PutQueue+0
;USB_Driver.c,64 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,65 :: 		case 'b':
L_USB_CheckIn8:
;USB_Driver.c,67 :: 		USB_PutQueue("Command b received");
MOVW	R0, #lo_addr(?lstr2_USB_Driver+0)
MOVT	R0, #hi_addr(?lstr2_USB_Driver+0)
BL	_USB_PutQueue+0
;USB_Driver.c,70 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,73 :: 		default:
L_USB_CheckIn9:
;USB_Driver.c,74 :: 		USB_PutQueue("Unknown command");
MOVW	R0, #lo_addr(?lstr3_USB_Driver+0)
MOVT	R0, #hi_addr(?lstr3_USB_Driver+0)
BL	_USB_PutQueue+0
;USB_Driver.c,75 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,76 :: 		}
L_USB_CheckIn5:
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #97
IT	EQ
BEQ	L_USB_CheckIn7
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #98
IT	EQ
BEQ	L_USB_CheckIn8
IT	AL
BAL	L_USB_CheckIn9
L_USB_CheckIn6:
;USB_Driver.c,77 :: 		}
L_USB_CheckIn4:
;USB_Driver.c,78 :: 		}
L_end_USB_CheckIn:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _USB_CheckIn
